org.wildfly.swarm.config.management.service

## Enum ActiveOperation.ExecutionStatus

- java.lang.Object
- - java.lang.Enum<ActiveOperation.ExecutionStatus>
  - - org.wildfly.swarm.config.management.service.ActiveOperation.ExecutionStatus

- All Implemented Interfaces:
    Serializable, Comparable<ActiveOperation.ExecutionStatus>
  Enclosing class:
    ActiveOperation<T extends ActiveOperation<T>>

      public static enum ActiveOperation.ExecutionStatus
      extends Enum<ActiveOperation.ExecutionStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AWAITING_OTHER_OPERATION`
    `AWAITING_STABILITY`
    `COMPLETING`
    `EXECUTING`
    `ROLLING_BACK`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAllowedValue()` Returns the allowed value for the management model.
    `String` | `toString()`
    `static ActiveOperation.ExecutionStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ActiveOperation.ExecutionStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXECUTING

          public static final ActiveOperation.ExecutionStatus EXECUTING

    - #### AWAITING_OTHER_OPERATION

          public static final ActiveOperation.ExecutionStatus AWAITING_OTHER_OPERATION

    - #### AWAITING_STABILITY

          public static final ActiveOperation.ExecutionStatus AWAITING_STABILITY

    - #### COMPLETING

          public static final ActiveOperation.ExecutionStatus COMPLETING

    - #### ROLLING_BACK

          public static final ActiveOperation.ExecutionStatus ROLLING_BACK

  - ### Method Detail

    - #### values

          public static ActiveOperation.ExecutionStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ActiveOperation.ExecutionStatus c : ActiveOperation.ExecutionStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ActiveOperation.ExecutionStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getAllowedValue

          public String getAllowedValue()

      Returns the allowed value for the management model.
      Returns:
        the allowed model value

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ActiveOperation.ExecutionStatus>`

Copyright © 2018 JBoss by Red Hat. All rights reserved.